#!/bin/bash
#
#       35 - Configure SNMP server 
#
date=`date +"%d/%m/%Y %H:%M"`
echo -en "\n\n****************************************************\n"
echo -en "[$date] Servidor SNMP \n"
echo "****************************************************"
if [ -e /etc/snmp/snmpd.conf ];then
	echo -en "Fent còpia de seguretat de la configuració:"
	res=$(cp /etc/snmp/snmpd.conf /etc/Linkat/backup/snmpd.conf.orig 2>&1)
	if [ ! $? -eq 0 ];then
		echo -en "Error::S'ha produït un error al aplicar els canvis de la configuració SNMP; $res"
	else
		echo -en "Ok\n"
	fi
fi
        
echo -en "Aplicant configuració de Linkat:\n"
res=$(cp -f /etc/Linkat/data/snmpd.conf.Linkat  /etc/snmp/snmpd.conf 2>&1)
if [ ! $? -eq 0 ];then
		echo -en "Error:: S'ha produït un error al aplicar els canvis de la configuració SNMP; $res"
	else
		echo -en "Eliminant servei snmpd de la seqüència d'init\n"
		res=$(chkconfig --del snmpd 2>&1)
		if [ ! $? -eq 0 ];then
			echo -en "Error:: No s'ha pogut treure el servei SNMP a la seqüència d'init"
		else
			echo -en "Success:: S'ha configurat correctament el servei SNMP\n"
		fi
fi

