#!/bin/bash
#
#       15 - Restore FTP server
#

echo "#Servidor FTP"

if [ ! -e /etc/Linkat/backup/pure-ftpd.conf.orig ];then
                echo -e "\n\tWarning: No hi ha còpia de seguretat del servei FTP. Es deixa l'actual configuració"       
        else
                echo -e "Restaurant còpia de seguretat del servei FTP"
                res=$(mv /etc/Linkat/backup/pure-ftpd.conf.orig /etc/pure-ftpd/pure-ftpd.conf 2>&1)
                if [ ! $? -eq 0 ];then
                        echo -e "\n\tError:: S'ha produït un error al restaurar la configuració FTP; $res"
                else
                        echo -e "Ok\n"

                        echo -e "Aplicant canvis"

                        res_code=0
                        res=$(rcpure-ftpd status 2>&1)
                        case $? in
                                0)
                                        rcpure-ftpd stop 2>&1
                                        if [ ! $? -eq 0 ];then
                                                res_code=1
                                        fi
                                ;;
                                3)
                                        res_code=0
                                ;;
                                *)
                                        res_code=1
                                ;;
                        esac

                        if [ ! $res_code -eq 0 ];then
                                echo -e "\n\tError aplicant canvis; $res"
                        else
                                echo -e "Ok\n"
                                echo -e "Traient servei FTP de la seqüència d'init"
                                res=$(chkconfig --del pure-ftpd 2>&1)
                                if [ ! $? -eq 0 ];then
                                        echo "Error:: No s'ha pogut treure el servei FTP a la seqüència d'init"
                                else
                                        echo -e "Ok\n"
                                        echo -e "\n\tSuccess::S'ha restaurat correctament la configuració del servei NFS"
                                fi
                        fi
                fi
        fi

