#!/bin/bash
#
#       35 - Restore JClic 
#

echo "#Configuració JClic"

res_code=0
if [ -e /etc/Linkat/backup/jclic.cfg.orig ];then
	echo "S'està restaurant la còpia de seguretat de la configuració de jclic:"
	res=$(mv /etc/Linkat/backup/jclic.cfg.orig /usr/local/JClic/jclic.cfg 2>&1)
	if [ ! $? -eq 0 ];then
		echo -e "\n\tError:: S'ha produit un error restaurant la còpia de seguretat de la configuració de JClic; $res"
	else
		echo -e "Ok\n"
	fi
else
	echo -e "\n\tWarning: No hi ha cap còpia de seguretat de la configuració de jclic. Es deixa la configuració actual."
fi

echo -e "S'està restaurant el directori de projectes a directori local:"
if [ -e /srv/exports/S/jclic/projects ];then
	res=$(mv /srv/exports/S/jclic/projects /usr/local/JClic/ 2>&1)
	if [ ! $? -eq 0 ];then
		echo -e "\n\tError:: No S'ha pogut moure el directori local de projectes; $res"
	else
		echo -e "Ok\n"
		echo -e "Establint permissos en directori de projectes"
		res=$(chmod 777 /usr/local/JClic/projects 2>&1)
		if [ ! $? -eq 0 ];then
			echo -e "\n\tError:: No S'han pogut canviar els permisos del directori /usr/local/JClic/projects , es possible que certs usuaris no puguin escriure-hi.; $res"
		else
			echo -e "Ok\n"
			echo -e "S'està esborrant directori de projectes del recurs compartit:"
			res=$(rm -rf /srv/exports/S/jclic 2>&1)
			if [ ! $? -eq 0 ];then
				echo -e "\n\tError:: S'ha produït un error al esborrar el directori de projectes compartits; $res"
			else
				echo -e "Ok\n"
			fi
		fi
	fi
else
	echo -e "\n\tWarning::No hi ha directori de projectes al recurs compartit. Es recomana reinstalar paquet server_projects"
fi

if [ -e /usr/lib/jvm/java-1.6.0-sun-1.6.0/jre/lib/.edu.xtec.properties ];then
echo -e "S'està esborrant fitxer de configuració general de JClic:"
res=$(rm -rf /usr/lib/jvm/java-1.6.0-sun-1.6.0/jre/lib/.edu.xtec.properties 2>&1)
if [ ! $? -eq 0 ];then
	echo -e "\n\tWarning: No s'ha pogut esborrar el fitxer de configuració general de JClic; $res"
	else
		echo -e "Ok\n"
	fi
fi

if [ -e /etc/.edu.xtec.properties ];then
	echo -e "S'està Esborrant enllaç al fitxer de configuració general de JClic:"
	res=$(rm -rf /etc/linkat/.edu.xtec.properties 2>&1)
	if  [ ! $? -eq 0 ];then
		echo -e "\n\tWarning: No s'ha pogut esborrar l'enllaç al fitxer de configuració general de JClic; $res"                 
	else
		echo -e "Ok\n"
		echo -e "\n\tSuccess: S'han restablert correctament la configuració de JClic\n"
	fi
fi

if [ -e /usr/share/applications/jclicreports.desktop ];then
	res=$(rm -rf /usr/share/applications/jclicreports.desktop 2>&1)
	if  [ ! $? -eq 0 ];then
		echo -e "\n\tError:No s'ha esborrat correctament la icona de Jclic\n"
	fi
fi

