#!/bin/bash
#
#       45 - Restore NTP Server
#

echo "#Servidor NTP"

if [ ! -e /etc/Linkat/backup/ntp.conf.orig ];then
	echo -e "\n\tWarning: No hi ha còpia de seguretat del servei ntp. Es deixa l'actual configuració"
else
	echo -e "S'està restaurant la còpia de seguretat del servei NTP"
	res=$(mv /etc/Linkat/backup/ntp.conf.orig /etc/ntp.conf 2>&1)
	if [ ! $? -eq 0 ];then
		echo "Error:: S'ha produït un error al restaurar la configuració NTP; $res"
	else
		echo -e "Ok\n"
		echo -e "Aplicant canvis del servei ntp"
		res=$(rcntp status 2>&1)
		case $? in
			0)
				nohup rcntp stop 2>&1 &
			;;
			*)
				res_code=1
			;;
		esac

		echo -e "Ok\n"
		echo -e "S'està eliminant el servei NTP de la seqüència d'inici:"
		res=$(chkconfig --del ntp 2>&1)
		if [ ! $? -eq 0 ];then
			echo -e "\n\tError:: No s'ha pogut treure el servei NTP a la seqüència d'inici"
		else
			echo -e "Ok\n"
			echo -e "\n\tSuccess: S'ha crestaurant correctament el servei NTP"
		fi
	fi
fi

