#!/bin/bash
#
#       87 - Clamav uninstall  
#

date=`date +"%d/%m/%Y %H:%M"`
echo -en "\n\n****************************************************\n"
echo -en "[$date] Desinstal·lacio de CLAMAV \n"
echo "****************************************************"

## Desregistering services...

res=$(chkconfig --del clamd 2>&1)
if [ ! $? -eq 0 ];then
        echo "Error:: No s'ha pogut desregistrar el servei lamd la seqüència d'init"
        err_code=1
else
        echo -en "Succeed: S'ha desregistrat el servei clamd a la seqüència d'init \n\t$res\n"
fi

res=$(chkconfig --del freshclam 2>&1)
if [ ! $? -eq 0 ];then
        echo "Error:: No s'ha desregistrar posar el servei fresclam la seqüència d'init"
        err_code=1
else
        echo -en "Succeed: S'ha desregistrar el servei freshclam a la seqüència d'init \n\t$res\n"
fi

## Borrem els scripts del cron.

res=$(rm /etc/cron.daily/freshclam 2>&1)
if [ ! $? -eq 0 ]; then
	echo -en "Error:: No s'ha esborrat el cron-job freshclam ; $res\n"
else
	echo -en "Succeed: Cron-job freshclam esborrat correctament\n"
fi

res=$(rm /etc/cron.weekly/erase_tmp 2>&1)
if [ ! $? -eq 0 ]; then
	echo -en "Error:: No s'ha esborrat el cron-job erase_tmp ; $res\n"
else
	echo -en "Succeed: Cron-job erase_tmp esborrat correctament\n"
fi


