#!/bin/bash
#
#	006 - Set up and configure miniDLNA
#


echo -en "Fem un backup dels fitxers de configuració"
res=$(cp /etc/minidlna.conf /etc/minidlna.conf_backup 2>&1)
if [ ! $? -eq 0 ];then
   echo -en "Error:: No s'ha pogut crear el fitxer de backup del miniDLNA; $res"
else
   echo -en "Succeed:realitzat el backup de la configuració del miniDLNA amb èxit\n"
fi


echo -en "Procedim a configurar el fitxer minidlna.conf\n"


res=$(cp /etc/Linkat/data/minidlna.conf.Linkat /etc/minidlna.conf 2>&1)
if [ ! $? -eq 0 ];then
   echo -en "Error:: No s'ha pogut substituir la configuració del miniDLNA; $res"
else
   echo -en "S'ha modificat la configuració del miniDLNA amb èxit\n"
fi

echo -en "Posem  el servei miniDLNA en marxa:\n"
res=$(chkconfig --add minidlna 2>&1)
if [ ! $? -eq 0 ];then
   echo -en "Error:: No s'ha pogut posar el servei miniDLNA a la seqüència d'init"
else
      echo -en "Success:: S'ha configurat el servei miniDLNA correctament\n"
fi

res=$(rcminidlna status 2>&1)
case $? in
	1)
		res=$(rcminidlna start 2>&1)
		if [ ! $? -eq 0 ];then
			res_code=1
		fi
	;;
	3)
		res=$(rcminidlna start 2>&1)
		if [ ! $? -eq 0 ];then
			res_code=1
		fi
	;;
	0)
		res=$(rcminidlna reload 2>&1)
		if [ ! $? -eq 0 ];then
			res_code=1
		fi
	;;
	*)
		res=$(rcminidlna reload 2>&1)
		if [ ! $? -eq 0 ];then
			res_code=1
		fi
	;;
esac
