#!/bin/bash
#
#       15 - Configure pure-ftpd server
#

date=`date +"%d/%m/%Y %H:%M"`
echo -en "\n\n****************************************************\n"
echo -en "[$date] Servidor FTP \n"
echo "****************************************************"

echo "S'està fent la còpia de seguretat: "
        
if [ -e /etc/pure-ftpd/pure-ftpd.conf ];then
	res=$(cp /etc/pure-ftpd/pure-ftpd.conf /etc/Linkat/backup/pure-ftpd.conf.orig 2>&1)
        if [ ! $? -eq 0 ];then
         echo -en "Error: S'ha produït un error al aplicar els canvis del servidor FTP; $res"
		fi
	fi

echo -en "S'està aplicant la configuració del servidor FTP:\n"
res=$(cp -f /etc/Linkat/data/pure-ftpd.conf.Linkat  /etc/pure-ftpd/pure-ftpd.conf 2>&1)
if [ ! $? -eq 0 ];then
   echo -en "Error: S'ha produït un error al aplicar els canvis del servidor FTP; $res" 
else
   echo -en "Traient servidor FTP de la seqüència d'init:\n"
   res=$(chkconfig --del pure-ftpd 2>&1)
   if [ ! $? -eq 0 ];then
      echo -en "Error:: No s'ha pogut treure el servei FTP a la seqüència d'init"
   else
      echo -en "Success:: S'ha configurat el servidor FTP correctament\n"
   fi
fi
