#
#	072 Configure and start Apache2
#

date=`date +"%d/%m/%Y %H:%M"`
echo -en "\n\n****************************************************\n"
echo "[$date] Configuració Apache2"
echo "****************************************************"

res=$(cp /etc/apache2/default-server.conf /etc/Linkat/backup/default-server.conf.orig 2>&1)
if [ ! $? -eq 0 ];then
	echo "Error:: No s'ha pogut fer la còpia de seguretat de default-server.conf"
fi

res=$(cat /etc/Linkat/data/default-server.conf | sed s/__SERVIDOR__/$NOM.$DOMINI/g >/etc/apache2/default-server.conf 2>&1)
if [ ! $? -eq 0 ];then
	echo "Error:: No s'ha pogut copiar la configuració apache2 default_server"
fi

res=$(cat /etc/Linkat/data/default-server.conf | sed s/Options\ None/Options\ FollowSymLinks/g >/etc/apache2/default-server.conf 2>&1)
if [ ! $? -eq 0 ];then
	echo "Error:: No s'ha pogut copiar la configuració apache2 default_server"
fi
res=$(cp /etc/sysconfig/apache2 /etc/Linkat/backup/sysconfig.apache2 2>&1)
if [ ! $? -eq 0 ];then
	echo "Error:: No s'ha pogut fer la còpia de seguretat de sysconfig.apache2"
fi

res=$(cp /etc/Linkat/data/sysconfig.apache2 /etc/sysconfig/apache2 2>&1)
if [ ! $? -eq 0 ];then
	echo "Error:: No s'ha pogut copiar la configuració apache2 sysconfig"
fi

res_code=0
res=$(chkconfig --add apache2 2>&1)
if [ ! $? -eq 0 ];then
        echo "Error:: No s'ha pogut posar el servei apache la seqüència d'init"
        err_code=1
else
        echo -en "S'ha posat el servei apache a la seqüència d'init \n\t$res\n"
fi

res_code=0
res=$(rcapache2 status 2>&1)
case $? in
        3)
                res=$(rcapache2 start 2>&1)
                if [ ! $? -eq 0 ];then
                        res_code=1
                fi
        ;;
        0)
                res=$(rcapache2 restart 2>&1)
                if [ ! $? -eq 0 ];then
                        res_code=1
                fi
        ;;
        *)
                res_code=1
        ;;
esac

if [ $res_code -ne 0 ];then
        echo "Error:: S'ha produït un error al aplicar els canvis del servidor apache: $res"
fi
