#!/bin/bash
#
#       15 - Restore NFS server
#

echo "#Servidor NFS"    
if [ -e /etc/Linkat/backup/nfs.orig ];then
	echo -e "S'està restaurant el fitxer /etc/sysconfig/nfs"
	res=$(mv /etc/Linkat/backup/nfs.orig /etc/sysconfig/nfs 2>&1)
	if [ ! $? -eq 0 ];then
                echo -e "\n\tError:: S'ha produït un error al restaurar el fitxer /etc/sysconfig/nfs; $err"
	else
		echo -e "Ok\n"
	fi
fi

if [ -e /etc/Linkat/backup/exports.orig ];then
	echo -e "Restaurant còpia de seguretat del servidor NFS"
	res=$(mv /etc/Linkat/backup/exports.orig /etc/exports 2>&1)
	if [ ! $? -eq 0 ];then
		echo -e "\n\tError:: S'ha produït un error al restaurar la configuració NFS; $res"
	else
		echo -e "Ok\n"
	fi
else
	echo "Creant configuració buida de servidor NFS"
	res=$(echo "">/etc/exports 2>&1)
	if [ ! $? -eq 0 ];then
		echo -e "\n\tError:: S'ha produit un error creant una configuració buida de servei NFS;$res"
	else
		echo -e "Ok\n"
	fi
fi

echo -e "Aplicant canvis al servidor NFS:"
res_code=0
res=$(rcnfsserver status 2>&1)
case $? in
	0)
		res=$(rcnfsserver stop 2>&1)
		if [ ! $? -eq 0 ];then
			es_code=1
		fi
	;;
	*)
		res_code=1
esac

if [ $res_code -eq 0 ];then
	echo -e "Ok\n"
	echo "Traient el servei NFS de la seqüència d'init:"
	res=$(chkconfig --del nfsserver 2>&1)
	if [ ! $? -eq 0 ];then
		echo -e "\n\tError:: No s'ha pogut treure el servei NFS a la seqüència d'init"
	else
		echo -e "Ok\n"
	fi
fi


