#!/bin/bash
#
#       30 - Restore SNMP server
#

echo "#SNMP"
                                                                                 
if [ ! -e /etc/Linkat/backup/snmpd.conf.orig ];then
	echo -e "\n\tWarning: No hi ha cap còpia de seguretat del servei snmp. Es deixa la configuració actual."
else
	echo "S'està restaurant la còpia de seguretat del servei SNMP"
	res=$(mv /etc/Linkat/backup/snmpd.conf.orig /etc/snmp/snmpd.conf 2>&1)
	if [ ! $? -eq 0 ];then
		echo -e "\n\tError:: S'ha produït un error al restaurar la configuració SNMP; $res"
	else
		echo -e "Ok\n"
		echo -e "S'estan establint els permisos al fitxer de configuració del servei snmp"
		res=$(chmod 644 /etc/snmp/snmpd.conf 2>&1)
		if [ ! $? -eq 0 ];then
			echo -e "\n\tError:S'ha produït un error al restablir els permisos del servidor SNMP;$res "
		else
			echo -e "Ok\n"
			echo -e "S'estan aplicant els canvis"
			res_code=0
			res=$(rcsnmpd status 2>&1)
			case $? in
			0)
				rcsnmpd stop 2>&1 > /dev/null
				if [ ! $? -eq 0 ];then
					res_code=1
				fi
			;;
			3)
				res_code=0
			;;
			*)
				res_code=1
			;;
			esac

			if [ ! $res_code -eq 0 ];then
				echo -e "\n\tError aplicant els canvis; $res"
			else
					echo -e "Ok\n"
					echo -e "S'està eliminant el servei SNMP de la seqüència d'inici"
					res=$(chkconfig --del snmpd 2>&1)
					if [ ! $? -eq 0 ];then
						echo -e "\n\tError:: No s'ha pogut treure el servei SNMP a la seqüència d'inici"
					else
						echo -e "Ok\n"
						echo -e "\n\tSuccess::S'ha restaurat correctament la configuració del servei SNMP"
					fi
			fi
		fi
	fi
fi

